python-oslo.context (1:3.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 15:41:18 -0500

python-oslo.context (1:3.3.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:17:14 -0400

python-oslo.context (1:3.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 15:09:37 -0400

python-oslo.context (1:3.2.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:55:29 -0400

python-oslo.context (1:3.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:33:35 -0400

python-oslo.context (1:3.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:38:46 -0400

python-oslo.context (1:3.0.2-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 14:46:00 -0400

python-oslo.context (1:3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Add override_dh_auto_clean and override_dh_auto_build.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 14:43:11 -0400

python-oslo.context (1:2.23.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 16:32:11 -0400

python-oslo.context (1:2.22.1-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Sep 2019 15:19:42 -0400

python-oslo.context (1:2.22.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:02:54 +0000

python-oslo.context (1:2.22.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to using stestr for unit tests.
  * d/p/*: Drop not really needed.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:20:47 +0000

python-oslo.context (1:2.21.0-0ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * d/p/remove-privacy-breach-in-README.rst.patch: Refresh.
  * d/control: Update Vcs locations for Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Jun 2018 12:18:56 +0100

python-oslo.context (2.20.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:19:48 +0000

python-oslo.context (2.20.0-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed copyright format URL.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 14:19:47 +0100

python-oslo.context (1:2.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:47:28 +0000

python-oslo.context (1:2.19.3-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:22:10 +0000

python-oslo.context (1:2.19.2-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 15:22:58 +0000

python-oslo.context (1:2.17.0-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/gbp.conf: Retain git-buildpackage config, including use of pristine-tar.
    - d/watch: Use tarballs.openstack.org.
    - d/control: Retain Breaks/Replaces.
    - d/p/remove-privacy-breach-in-README.rst.patch: Fix description field.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Nov 2017 10:41:21 -0400

python-oslo.context (2.17.0-3) unstable; urgency=medium

  * Fixed patch header (Closes: #880605).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 20:44:41 +0000

python-oslo.context (2.17.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix no python3 depends for the python3 package (Closes: #867446).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Oct 2017 17:49:17 +0100

python-oslo.context (2.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * gbp.conf uses debian/pike.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating standards version to 4.0.0.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 18:57:09 +0000

python-oslo.context (1:2.17.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/remove-privacy-breach-in-README.rst.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 17:43:19 -0400

python-oslo.context (1:2.14.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:24:44 +0100

python-oslo.context (1:2.13.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:02:48 +0100

python-oslo.context (1:2.12.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Feb 2017 15:00:28 -0500

python-oslo.context (1:2.11.0-0ubuntu2) zesty; urgency=medium

  * No change. Upload with new ubuntu version.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 15:58:30 -0500

python-oslo.context (1:2.11.0-0ubuntu1) zesty; urgency=medium

  * Add epoch and restore 2.11.0 to align with Ocata upper-constraints.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jan 2017 15:32:21 -0500

python-oslo.context (2.12.0-0ubuntu2) zesty; urgency=medium

  * d/control: Remove dep-8 tests since it was misbehaving. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Jan 2017 12:40:54 -0500

python-oslo.context (2.12.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.
  * d/control: Add dep-8 tests.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 11:53:40 -0500

python-oslo.context (2.11.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 10:35:45 -0500

python-oslo.context (2.10.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Oct 2016 09:22:54 -0400

python-oslo.context (2.9.0-2) unstable; urgency=medium

  [ James Page ]
  * d/control: Bump mininum version requirement of positional to 1.1.1,
    as 1.0.1 causes issues in Barbican.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 10:03:59 +0100

python-oslo.context (2.9.0-1ubuntu1) yakkety; urgency=medium

  * d/control: Set positional >= 1.1.1 as 1.0.1 causes unit test failures
    in Barbican.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Sep 2016 10:06:38 +0100

python-oslo.context (2.9.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

  [ James Page ]
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Aug 2016 16:08:11 +0100

python-oslo.context (2.5.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.

  [ Thomas Goirand ]
  * Switch to pkgos-dh_auto_{test,install}.
  * Drop old python-oslo- transition packages, not needed in Ubuntu
    anymore since Xenial is released.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Jul 2016 14:27:49 +0000

python-oslo.context (2.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Update branch to debian/newton.

  [ Thomas Goirand ]
  * Added Corey in the Uploaders: field.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Jun 2016 16:38:36 +0000

python-oslo.context (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:54:59 +0000

python-oslo.context (2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:04:03 +0000

python-oslo.context (1.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 03:54:25 +0000

python-oslo.context (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed privacy breach image links.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Dec 2015 11:02:38 +0100

python-oslo.context (0.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 19:30:20 +0000

python-oslo.context (0.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 17:38:22 +0200

python-oslo.context (0.5.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed build-depends for this release.
  * Watch file using github tag and not broken PyPi anymore.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 10:53:45 +0000

python-oslo.context (0.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Rename package to python-oslo.context:
    - d/control: Update Vcs fields.
  * Re-align with Ubuntu:
    - d/control: Update Breaks/Replaces for Ubuntu *oslo-context packages.
    - d/control: Add full transitional packages for *oslo-context.
    - d/control,python-oslo.context-doc.docbase:
      Rename python-oslo-context-doc -> python-oslo.context-doc, update
      for new package naming.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Jun 2015 16:18:15 +0100

python-oslo-context (0.2.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Apr 2015 13:06:13 +0000

python-oslo-context (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Now building python-oslo.context and not python-oslo-context.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2015 15:23:52 +0100

python-oslo-context (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #773622).

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Dec 2014 10:05:58 +0800

